function dist = cpower(ss,power,id_test,Z,beta_H,beta_A,q,GLM,alpha)
% =============================================================================
%      Distance of power of test of equality of expected values in
%    balanced one-way MANOVA type multivariate generalized linear model
% based on Deviance or Score statistics at given sample size and required power
% =============================================================================
% CALLING: dist = cpower(ss,power,id_test,Z,beta_H,beta_A,q,GLM,alpha);
% -----------------------------------------------------------------------------
% see samplesize.m for more details% 
% -------------------------------------------------------------------------
% (c) Zuzana Hrdlickova, Vitezslav Vesely, 2007
% 2.10.2007

if min(size(beta_A))~=1
    warning('Alternative was not stated properly')
end;
if nargin == 8
    alpha = 0.05;
end;

[betaD,betaS] = powerDS(Z,beta_H,beta_A,q,ss,GLM,alpha);
if id_test == 1
    dist = betaD  - power;
elseif id_test == 2
    dist = betaS  - power;
end;